# Uses of Class
org.springframework.core.codec.StringDecoder

Packages that use StringDecoder
Package
Description
org.springframework.core.codec
`Encoder` and `Decoder` abstractions to convert between a reactive stream of bytes and Java objects.

## Uses of StringDecoder in org.springframework.core.codec

Methods in org.springframework.core.codec that return StringDecoder
Modifier and Type
Method
Description
`static StringDecoder`
StringDecoder.`allMimeTypes()`
Create a `StringDecoder` that supports all MIME types.
`static StringDecoder`
StringDecoder.`allMimeTypes(List<String> delimiters, boolean stripDelimiter)`
Create a `StringDecoder` that supports all MIME types.
`static StringDecoder`
StringDecoder.`textPlainOnly()`
Create a `StringDecoder` for `"text/plain"`.
`static StringDecoder`
StringDecoder.`textPlainOnly(List<String> delimiters, boolean stripDelimiter)`
Create a `StringDecoder` for `"text/plain"`.